Main Page | Class List | File List | Class Members | File Members | Related Pages

# wsrm__CreateSequenceResponseType Struct Reference

"http://docs.oasis-open.org/ws-rx/wsrm/200702":CreateSequenceResponseType is a complexType. More...

`#include <wsrm.h>`

Collaboration diagram for wsrm__CreateSequenceResponseType:

[legend]
List of all members.

## Public Attributes
char * | Identifier
| Element reference "http://docs.oasis-open.org/ws-rx/wsrm/200702":Identifier.
xsd__duration * | Expires
| Element reference "http://docs.oasis-open.org/ws-rx/wsrm/200702":Expires.
enum wsrm__IncompleteSequenceBehaviorType * | IncompleteSequenceBehavior
| Element IncompleteSequenceBehavior of type "http://docs.oasis-open.org/ws-rx/wsrm/200702":IncompleteSequenceBehaviorType.
wsrm__AcceptType * | Accept
| Element Accept of type "http://docs.oasis-open.org/ws-rx/wsrm/200702":AcceptType.

## Detailed Description

"http://docs.oasis-open.org/ws-rx/wsrm/200702":CreateSequenceResponseType is a complexType.

## Member Data Documentation

struct wsrm__AcceptType* wsrm__CreateSequenceResponseType::Accept

| Element Accept of type "http://docs.oasis-open.org/ws-rx/wsrm/200702":AcceptType. Optional element.

xsd__duration* wsrm__CreateSequenceResponseType::Expires

| Element reference "http://docs.oasis-open.org/ws-rx/wsrm/200702":Expires. Optional element.

char* wsrm__CreateSequenceResponseType::Identifier

| Element reference "http://docs.oasis-open.org/ws-rx/wsrm/200702":Identifier. Required element.

enum wsrm__IncompleteSequenceBehaviorType* wsrm__CreateSequenceResponseType::IncompleteSequenceBehavior

| Element IncompleteSequenceBehavior of type "http://docs.oasis-open.org/ws-rx/wsrm/200702":IncompleteSequenceBehaviorType. Optional element.

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/import/wsrm.h